"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getOptions;

var _schemaUtils = _interopRequireDefault(require("schema-utils"));

var _options = _interopRequireDefault(require("./options.json"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getOptions(options) {
  (0, _schemaUtils.default)(_options.default, options, {
    name: 'Stylelint Webpack Plugin',
    baseDataPath: 'options'
  });
  const stylelintPath = options.stylelintPath || 'stylelint'; // eslint-disable-next-line

  const {
    formatters
  } = require(stylelintPath);

  return {
    files: '**/*.s?(c|a)ss',
    formatter: formatters.string,
    stylelintPath,
    ...options
  };
}